org.springframework.batch.item.file.transform

## Class BeanWrapperFieldExtractor<T>

- java.lang.Object
- - org.springframework.batch.item.file.transform.BeanWrapperFieldExtractor<T>

- All Implemented Interfaces:
    FieldExtractor<T>, org.springframework.beans.factory.InitializingBean

      public class BeanWrapperFieldExtractor<T>
      extends java.lang.Object
      implements FieldExtractor<T>, org.springframework.beans.factory.InitializingBean

  This is a field extractor for a java bean. Given an array of property names, it will reflectively call getters on the item and return an array of all the values.
  Since:
    2.0
  Author:
    Dan Garrette

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanWrapperFieldExtractor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `java.lang.Object[]` | `extract(T item)`
    `void` | `setNames(java.lang.String[] names)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanWrapperFieldExtractor

          public BeanWrapperFieldExtractor()

  - ### Method Detail

    - #### setNames

          public void setNames(java.lang.String[] names)

      Parameters:
        `names` - field names to be extracted by the `extract(Object)` method.

    - #### extract

          public java.lang.Object[] extract(T item)

      Specified by:
        `extract` in interface `FieldExtractor<T>`
      Parameters:
        `item` - the object that contains the information to be extracted.
      Returns:
        an array containing item's parts
      See Also:
        `FieldExtractor.extract(java.lang.Object)`

    - #### afterPropertiesSet

          public void afterPropertiesSet()

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`